<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.44
Name: [2] Dane umowy związanej z refundacją
Description: Wzorzec rozszerzenia CDA dla potwierdzenia ubezpieczenia w
            NFZ.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000">
   <title>[2] Dane umowy związanej z refundacją</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]"
         id="tmp-r-704c3a30-c3b9-4931-a590-0f9444695ecc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:boundedBy)&lt;=1">(plExtReimbursementRelatedContract): element extPL:boundedBy występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy"
         id="tmp-r-403f72d7-0857-496e-b653-f02508b27daf">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="string(@typeCode)='PART'">(plExtReimbursementRelatedContract): Wartość dla @typeCode MUSI wynosić 'PART'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plExtReimbursementRelatedContract): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.44'])&gt;=1 and not(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.44']/@nullFlavor)">(plExtReimbursementRelatedContract): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.44'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.44'])&lt;=1">(plExtReimbursementRelatedContract): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.44'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:reimbursementRelatedContract)&gt;=1 and not(extPL:reimbursementRelatedContract/@nullFlavor)">(plExtReimbursementRelatedContract): element extPL:reimbursementRelatedContract jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:reimbursementRelatedContract)&lt;=1">(plExtReimbursementRelatedContract): element extPL:reimbursementRelatedContract występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.44']
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.44']"
         id="tmp-r-30f52961-95a4-4302-b33f-8374b98e91d7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtReimbursementRelatedContract): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.44'">(plExtReimbursementRelatedContract): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.44'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtReimbursementRelatedContract): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract"
         id="tmp-r-e63fc1a0-4253-48f5-ae98-c54779d19e19">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="string(@classCode)='CNTRCT'">(plExtReimbursementRelatedContract): Wartość dla @classCode MUSI wynosić 'CNTRCT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plExtReimbursementRelatedContract): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="string(@moodCode)='EVN'">(plExtReimbursementRelatedContract): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plExtReimbursementRelatedContract): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="elmcount"
           value="count(extPL:id[@nullFlavor='NA']|extPL:id[not(@nullFlavor)])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="$elmcount&gt;=1">(plExtReimbursementRelatedContract): wybór (extPL:id[@nullFlavor='NA'] lub extPL:id[not(@nullFlavor)]) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="$elmcount&lt;=1">(plExtReimbursementRelatedContract): wybór (extPL:id[@nullFlavor='NA'] lub extPL:id[not(@nullFlavor)]) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:id[@nullFlavor='NA'])&lt;=1">(plExtReimbursementRelatedContract): element extPL:id[@nullFlavor='NA'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:id[not(@nullFlavor)])&lt;=1">(plExtReimbursementRelatedContract): element extPL:id[not(@nullFlavor)] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:code)&lt;=1">(plExtReimbursementRelatedContract): element extPL:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:bounding)&gt;=1 and not(extPL:bounding/@nullFlavor)">(plExtReimbursementRelatedContract): element extPL:bounding jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:bounding)&lt;=1">(plExtReimbursementRelatedContract): element extPL:bounding występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:id[@nullFlavor='NA']
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:id[@nullFlavor='NA']"
         id="tmp-r-6bdd1438-9753-42f2-a824-64bd68e7474f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="string(@nullFlavor)='NA'">(plExtReimbursementRelatedContract): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(plExtReimbursementRelatedContract): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:id[not(@nullFlavor)]
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:id[not(@nullFlavor)]"
         id="tmp-r-9d242e44-2ddd-46de-b59a-41671e96a790">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="@root">(plExtReimbursementRelatedContract): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtReimbursementRelatedContract): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="@extension">(plExtReimbursementRelatedContract): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plExtReimbursementRelatedContract): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:code
Item: (plExtReimbursementRelatedContract)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:bounding
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:bounding"
         id="tmp-r-2164e509-e6cb-4100-98f8-7ade80dee10b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="string(@typeCode)='PART'">(plExtReimbursementRelatedContract): Wartość dla @typeCode MUSI wynosić 'PART'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plExtReimbursementRelatedContract): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:reimburser)&gt;=1 and not(extPL:reimburser/@nullFlavor)">(plExtReimbursementRelatedContract): element extPL:reimburser jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:reimburser)&lt;=1">(plExtReimbursementRelatedContract): element extPL:reimburser występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:bounding/extPL:reimburser
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:bounding/extPL:reimburser"
         id="tmp-r-c1044dbb-e6e1-479b-96c1-0095f840b29e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="string(@classCode)='UNDWRT'">(plExtReimbursementRelatedContract): Wartość dla @classCode MUSI wynosić 'UNDWRT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plExtReimbursementRelatedContract): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:id)&gt;=1 and not(extPL:id/@nullFlavor)">(plExtReimbursementRelatedContract): element extPL:id jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="count(extPL:id)&lt;=1">(plExtReimbursementRelatedContract): element extPL:id występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.44
Context: *[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:bounding/extPL:reimburser/extPL:id
Item: (plExtReimbursementRelatedContract)
-->

   <rule context="*[extPL:boundedBy[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.44']]/extPL:boundedBy/extPL:reimbursementRelatedContract/extPL:bounding/extPL:reimburser/extPL:id"
         id="tmp-r-89b4d0f0-e266-425e-86e3-3743e36949db">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtReimbursementRelatedContract): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="@root">(plExtReimbursementRelatedContract): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtReimbursementRelatedContract): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="@extension">(plExtReimbursementRelatedContract): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.44-2019-09-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plExtReimbursementRelatedContract): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
</pattern>
